// SPDX-License-Identifier: MPL-2.0
#ifndef BP_LIB_CONSOLE_H
#define BP_LIB_CONSOLE_H
#include <Uefi.h>
#include "Uefi/UefiBaseType.h"
#include "disk.h"
#define BP_CONSOLE_DEFAULT_LAYOUT_INDEX 1
typedef struct {
  CHAR16* password;
  UINTN size;
} bp_console_PASSWORD;
VOID bp_console_clear_screen();
VOID bp_console_set_console_mode();
EFI_STATUS bp_console_clear_row(UINTN row);
EFI_STATUS bp_console_write_centered(CHAR16 *text,UINTN row);
VOID bp_console_print_file(bp_disk_FILE *file);
EFI_STATUS bp_console_read_password(CHAR16 *prompt,bp_console_PASSWORD **pwd);
#endif
